import { PortalTheme } from '../API';
import { CRUDService, ICrudService } from '../core';
export declare class PortalThemeService extends CRUDService<PortalTheme> {
    protected hasOneModels: ICrudService<PortalTheme>['hasOneModels'];
    get create(): (input: Partial<Record<"portals", import("../../..").ModelWithId[]> & Record<"organization", import("../../..").ModelWithId>> & Omit<import("../API").CreatePortalTheme, "organization" | "portals">, options?: import("../core").MutationOptionsWithoutMutation<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").CreateOnePortalThemeMutation, import("../API").Exact<{
        input: import("../API").CreatePortalTheme;
    }>>>) => Promise<{
        __typename?: "PortalTheme";
        id: string;
        font?: string;
        name?: string;
        organizationID: string;
        primaryColor?: string;
        secondaryColor?: string;
        textColor?: string;
        useWhiteOnPrimaryColor?: boolean;
        useWhiteOnSecondaryColor?: boolean;
        created_at: any;
        updated_at: any;
    }>;
    get useCreate(): (options?: import("../core").CacheUpdateOptions<import("../core").ServiceMutationHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").CreateOnePortalThemeMutation, import("../API").Exact<{
        input: import("../API").CreatePortalTheme;
    }>>>>) => [(payload: import("../core").InputAndRelations<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").CreateOnePortalThemeMutation, import("../API").Exact<{
        input: import("../API").CreatePortalTheme;
    }>>, PortalTheme>) => Promise<{
        __typename?: "PortalTheme";
        id: string;
        font?: string;
        name?: string;
        organizationID: string;
        primaryColor?: string;
        secondaryColor?: string;
        textColor?: string;
        useWhiteOnPrimaryColor?: boolean;
        useWhiteOnSecondaryColor?: boolean;
        created_at: any;
        updated_at: any;
    }>, import("@apollo/client").MutationResult<any>];
    get update(): (input: Partial<Record<"portals", import("../../..").ModelWithId[]> & Record<"organization", import("../../..").ModelWithId>> & Omit<import("../API").UpdatePortalTheme, "organization" | "portals"> & {
        id: string;
    }, options?: import("../core").MutationOptionsWithoutMutation<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").UpdateOnePortalThemeMutation, import("../API").Exact<{
        input: import("../API").UpdateOnePortalThemeInput;
    }>>>) => Promise<{
        __typename?: "PortalTheme";
        id: string;
        font?: string;
        name?: string;
        organizationID: string;
        primaryColor?: string;
        secondaryColor?: string;
        textColor?: string;
        useWhiteOnPrimaryColor?: boolean;
        useWhiteOnSecondaryColor?: boolean;
        created_at: any;
        updated_at: any;
    }>;
    get useUpdate(): (mainOptions?: import("../core").CacheUpdateOptions<import("../core").ServiceMutationHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").UpdateOnePortalThemeMutation, import("../API").Exact<{
        input: import("../API").UpdateOnePortalThemeInput;
    }>>>>) => [({ id, ...input }: Partial<Record<"portals", import("../../..").ModelWithId[]> & Record<"organization", import("../../..").ModelWithId>> & import("../API").UpdatePortalTheme & {
        id: string;
    }, options?: import("../core").CacheUpdateOptions<import("../core").ServiceMutationHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").UpdateOnePortalThemeMutation, import("../API").Exact<{
        input: import("../API").UpdateOnePortalThemeInput;
    }>>>>) => Promise<any>, import("@apollo/client").MutationResult<any>];
    get delete(): (id: string, options?: import("../core").MutationOptionsWithoutMutation<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").DeleteOnePortalThemeMutation, import("../API").Exact<{
        input: import("../API").DeleteOnePortalThemeInput;
    }>>>) => Promise<{
        __typename?: "PortalThemeDeleteResponse";
        id?: string;
    }>;
    get useDelete(): (options?: import("../core").ServiceMutationHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").DeleteOnePortalThemeMutation, import("../API").Exact<{
        input: import("../API").DeleteOnePortalThemeInput;
    }>>>) => [(id?: string) => Promise<{
        __typename?: "PortalThemeDeleteResponse";
        id?: string;
    }>, import("@apollo/client").MutationResult<import("../API").DeleteOnePortalThemeMutation>];
    get list(): (input: import("../API").Exact<{
        filter?: import("../API").PortalThemeFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").PortalThemeSort | import("../API").PortalThemeSort[];
    }>, options?: import("../core").ServiceQueryOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").PortalThemeListQuery, import("../API").Exact<{
        filter?: import("../API").PortalThemeFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").PortalThemeSort | import("../API").PortalThemeSort[];
    }>>>) => Promise<{
        __typename?: "PortalThemeConnection";
        totalCount: number;
        edges: {
            __typename?: "PortalThemeEdge";
            cursor: any;
            node: {
                __typename?: "PortalTheme";
                id: string;
                font?: string;
                name?: string;
                organizationID: string;
                primaryColor?: string;
                secondaryColor?: string;
                textColor?: string;
                useWhiteOnPrimaryColor?: boolean;
                useWhiteOnSecondaryColor?: boolean;
                created_at: any;
                updated_at: any;
                portals?: {
                    __typename?: "Portal";
                    id: string;
                    backgroundColor?: string;
                    backgroundImage?: string;
                    created_at: any;
                    description: string;
                    fontColor?: string;
                    isPublic?: boolean;
                    portalType?: import("../API").PortalType;
                    organizationID: string;
                    parativeBadge?: boolean;
                    title: string;
                    updated_at: any;
                    portalThemeID?: string;
                    primaryOrSecondary?: import("../API").SecondaryOrPrimary;
                    headerTheme?: import("../API").PortalHeaderTheme;
                    cname?: string;
                    buttons?: {
                        __typename?: "MenuButton";
                        id: string;
                        cta?: string;
                        color?: string;
                        action?: string;
                        description?: string;
                        link?: string;
                        feedID?: string;
                        hasDivider?: boolean;
                        index?: number;
                        inputLabel?: string;
                        portalID?: string;
                        organizationID: string;
                        isPageRoot?: boolean;
                        buttonEmoji?: string;
                        pageID?: string;
                        menuID?: string;
                        customThankYouMessage?: string;
                        customWelcomeMessage?: string;
                        forms?: {
                            __typename?: "Form";
                            id: string;
                            name: string;
                        }[];
                        feeds?: {
                            __typename?: "Feed";
                            id: string;
                            name: string;
                        }[];
                        page?: {
                            __typename?: "Page";
                            id: string;
                            description?: string;
                            title?: string;
                            pageType?: import("../API").PageType;
                        };
                    }[];
                }[];
            };
        }[];
        pageInfo: {
            __typename?: "PageInfo";
            endCursor?: any;
            hasNextPage?: boolean;
            hasPreviousPage?: boolean;
            startCursor?: any;
        };
    }>;
    get useList(): (options: import("../core").CacheUpdateOptions<import("../core").ServiceQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").PortalThemeListQuery, import("../API").Exact<{
        filter?: import("../API").PortalThemeFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").PortalThemeSort | import("../API").PortalThemeSort[];
    }>>>>) => {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../API").PortalThemeListQuery, import("../API").Exact<{
            filter?: import("../API").PortalThemeFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").PortalThemeSort | import("../API").PortalThemeSort[];
        }>>;
        data: import("../API").PortalThemeListQuery;
        previousData?: import("../API").PortalThemeListQuery;
        error?: import("@apollo/client").ApolloError;
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        variables: import("../API").Exact<{
            filter?: import("../API").PortalThemeFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").PortalThemeSort | import("../API").PortalThemeSort[];
        }>;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../API").PortalThemeListQuery, TSubscriptionVariables = import("../API").Exact<{
            filter?: import("../API").PortalThemeFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").PortalThemeSort | import("../API").PortalThemeSort[];
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../API").PortalThemeListQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars = import("../API").Exact<{
            filter?: import("../API").PortalThemeFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").PortalThemeSort | import("../API").PortalThemeSort[];
        }>>(mapFn: (previousQueryResult: import("../API").PortalThemeListQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../API").PortalThemeListQuery>, "variables">) => import("../API").PortalThemeListQuery) => void;
        refetch: (variables?: Partial<import("../API").Exact<{
            filter?: import("../API").PortalThemeFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").PortalThemeSort | import("../API").PortalThemeSort[];
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").PortalThemeListQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../API").Exact<{
            filter?: import("../API").PortalThemeFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").PortalThemeSort | import("../API").PortalThemeSort[];
        }>, import("../API").PortalThemeListQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").PortalThemeListQuery>>;
        fetchMore: <TFetchData = import("../API").PortalThemeListQuery, TFetchVars = import("../API").Exact<{
            filter?: import("../API").PortalThemeFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").PortalThemeSort | import("../API").PortalThemeSort[];
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../API").PortalThemeListQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../API").PortalThemeListQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
    get useLazyList(): (options?: import("../core").CacheUpdateOptions<import("../core").ServiceLazyQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").PortalThemeListQuery, import("../API").Exact<{
        filter?: import("../API").PortalThemeFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").PortalThemeSort | import("../API").PortalThemeSort[];
    }>>>>) => import("@apollo/client").LazyQueryResultTuple<import("../API").PortalThemeListQuery, import("../API").Exact<{
        filter?: import("../API").PortalThemeFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").PortalThemeSort | import("../API").PortalThemeSort[];
    }>>;
    get useGet(): (options: import("../core").ServiceQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").PortalThemeQuery, import("../API").Exact<{
        id: string;
    }>>>) => {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../API").PortalThemeQuery, import("../API").Exact<{
            id: string;
        }>>;
        data: import("../API").PortalThemeQuery;
        previousData?: import("../API").PortalThemeQuery;
        error?: import("@apollo/client").ApolloError;
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        variables: import("../API").Exact<{
            id: string;
        }>;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../API").PortalThemeQuery, TSubscriptionVariables = import("../API").Exact<{
            id: string;
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../API").PortalThemeQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars = import("../API").Exact<{
            id: string;
        }>>(mapFn: (previousQueryResult: import("../API").PortalThemeQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../API").PortalThemeQuery>, "variables">) => import("../API").PortalThemeQuery) => void;
        refetch: (variables?: Partial<import("../API").Exact<{
            id: string;
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").PortalThemeQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../API").Exact<{
            id: string;
        }>, import("../API").PortalThemeQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").PortalThemeQuery>>;
        fetchMore: <TFetchData = import("../API").PortalThemeQuery, TFetchVars = import("../API").Exact<{
            id: string;
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../API").PortalThemeQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../API").PortalThemeQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
}
